ChatofyDevelopers
REST APIMCP Server (AI)New
API KeysWebhooks
Chatofy API
/
Getting Started
API Resources
API v1.0 Live
Developer APIReports & AnalyticsFollow-up Compliance Report

Follow-up Compliance Report

Measures sales task adherence per owner (completed vs overdue) and calculates the percentage of leads followed up within 48 hours.

GET/api/v1/reports/followups

Query Parameters

2 parameters
date_fromdatetimerequired

Start date filter (ISO 8601)

date_todatetimerequired

End date filter (ISO 8601)

Response Payload

200 OKapplication/json
statusstring

"1" = Success, "0" = Failure.

messageobject

The response data payload.

Code Snippets & Examples

1curl -X GET "https://app.chatofy.in/api/v1/reports/followups" \
2 -H "Authorization: Bearer YOUR_API_KEY"

Was this endpoint guide helpful?

Previous Endpoint
Win Rate Report (By Owner & Source)
Next Endpoint
Sales Velocity & Cycle Report
© 2026 Chatofy Cloud Platform. All rights reserved.
1curl -X GET "https://app.chatofy.in/api/v1/reports/followups" \
2 -H "Authorization: Bearer YOUR_API_KEY"
200 OKapplication/json
1{
2 "success": true,
3 "data": {
4 "summary": {
5 "total_tasks": 45,
6 "total_open": 15,
7 "total_overdue": 5,
8 "total_completed": 25,
9 "total_cancelled": 0,
10 "overall_compliance_rate_pct": 83.3,
11 "lead_response_compliance_48h": {
12 "total_leads_in_window": 10,
13 "leads_followed_up": 9,
14 "compliance_pct": 90
15 }
16 },
17 "by_owner": [
18 {
19 "owner_id": "u1111111-2222-3333-4444-555555555555",
20 "owner_name": "Jane Sales",
21 "open_count": 5,
22 "overdue_count": 1,
23 "completed_count": 15,
24 "cancelled_count": 0,
25 "total_count": 21,
26 "compliance_rate_pct": 93.8
27 }
28 ],
29 "date_range": {
30 "from": null,
31 "to": null
32 }
33 },
34 "message": "Follow-up compliance report generated successfully"
35}